Gallery的Requirements:为什么说p2p方式的相册是必要的

今天本计划安装Gallery研究一下的。看了一眼他们的安装需求,决定不浪费时间了。这个软件决不可能大众化,因此,也不可能与我设计的photell竞争。有多少用户愿意为了一个本地相册去安装apache,php,各种库,配置database?而我的photell却可以将这些东西全部打进一个包里。

下面是Gallery的安装需求:

Gallery Requirements

Gallery 1.x and Gallery 2.x have certain technical requirements that must be met (i.e. installed and/or configured) on your server before you attempt to install Gallery.

A brief overview of the requirements of Gallery 1 and Gallery 2:

  • Platform - UNIX (BSD, Linux, ...) or Windows
  • Webserver - Apache, Microsoft IIS, Zeus, ...
  • PHP - PHP version 4.1.0 or greater, PHP safe_mode must be turned off
  • Image Processing Library - In order to automatically generate thumbnails and resized versions of your photos, Gallery requires either ImageMagick or NetPBM. Gallery 2 additionally supports GD and GraphicsMagick
  • Database (Gallery 2 only) - MySQL 3.x, 4.x or 5.x, PostgreSQL 7.x or 8.x, Oracle 9i or 10g, DB2 8.2 (Gallery 1.x does NOT require a database)

For a detailed list of the requirements and further instructions, please see:

阅读更多
上一篇一种能比较准确地猜测NAT的影射端口的方法
下一篇交互设计与状态模式,兼谈几个失败的设计
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭